Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.juzu.template
Class TemplateRenderContext

    java.lang.Object
      org.juzu.template.TemplateRenderContext

    public class TemplateRenderContext

extends Object

Author:
  Julien Viet

Constructor Summary
`TemplateRenderContext(Printer printer)`
`TemplateRenderContext(Printer printer, Locale locale)`
`TemplateRenderContext(Printer printer, Map<String,?> attributes)`
`TemplateRenderContext(Printer printer, Map<String,?> attributes, Locale locale)`

Method Summary
`Map<String,?>` | `getAttributes()`
`Locale` | `getLocale()`
`Printer` | `getPrinter()`
`String` | `getTitle()`
`Object` | `resolveBean(String expression)`
`org.juzu.impl.spi.template.TemplateStub` | `resolveTemplate(String path)`
`void` | `setTitle(String title)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateRenderContext

    public TemplateRenderContext(Printer printer)

### TemplateRenderContext

    public TemplateRenderContext(Printer printer,
                                 Map<String,?> attributes)

### TemplateRenderContext

    public TemplateRenderContext(Printer printer,
                                 Locale locale)

### TemplateRenderContext

    public TemplateRenderContext(Printer printer,
                                 Map<String,?> attributes,
                                 Locale locale)

Method Detail

### getAttributes

    public Map<String,?> getAttributes()

### getLocale

    public Locale getLocale()

### getPrinter

    public Printer getPrinter()

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### resolveTemplate

    public org.juzu.impl.spi.template.TemplateStub resolveTemplate(String path)

### resolveBean

    public Object resolveBean(String expression)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 eXo Platform SAS. All Rights Reserved.